#pragma once
#include "Entity.h"
#define CS_PUUANI_CREATENAME L"CS_puu_animate"
//扑悠
class CS_PuuAni :
    public ActionEntity
{
public:
    CS_PuuAni();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
    int drop_counter = 60;
    float animation_moveSpeed = 0x200 / ts;
    bool animation_delay = false;//走路动画延迟一帧（对齐到整格）
    bool bArgInit = true;
};

std::shared_ptr<Entity> CreateCS_PuuAni();